(function(){var e=0;"use strict";var t=require("util");var s=require("events");var i=require("moment");var r=require("./jsUtil");var a=require("./Logger").getLogger("deviceBusinessDb.js");function n(e,t){s.EventEmitter.call(this);if(false===this instanceof n){return new n}this.setupDb(e);this.dbMgr=t}t.inherits(n,s.EventEmitter);n.prototype.setupDb=function(e){var t=this;var s="CREATE TABLE IF NOT EXISTS device_business_table(time, deviceName VARCHAR(32),seriaNo VARCHAR(32), intfName VARCHAR(32), SourceIp VARCHAR(64),"+"DstIp VARCHAR(64),SourcePort VARCHAR(10),DstPort VARCHAR(10),Pr VARCHAR(10) ,Business VARCHAR(64), Pkts DOUBLE, BPk DOUBLE, Active INTEGER,"+"bandwidth INTEGER, bytes DOUBLE, interval  INTEGER);";this.db=e;this.db.serialize(function(){t.db.run(s)})};n.prototype.insertIntoBusinessTable=function(e,t){var s=this;var n=i().format("YYYY-MM-DD HH:mm:ss");var m=e;var u=r.strFormat("INSERT INTO device_business_table(time, deviceName, seriaNo, intfName, SourceIp, DstIp, SourcePort,DstPort,Pr,Business,Pkts,Bpk,Active,bytes, bandwidth, interval)"+" VALUES ('{0}', '{1}', '{2}', '{3}','{4}','{5}','{6}','{7}','{8}', '{9}', {10}, {11},{12},{13},{14},{15});\n",m.time,m.deviceName,m.seriaNo,m.SrcIf,m.SrcIPAddress,m.DstIPAddress,m.SPort,m.DPort,m.Pr,m.business,m.Pkts,m.BPk,m.Active,m.bytes,m.bandwidth,m.interval);s.dbMgr.insertSqlIntoList(u,"device_business_table",function(e){if(e){a.debug("[Error: insertIntoBusinessTable] "+e);t(e);return}t(null)})};n.prototype.queryAllBusinessFlow=function(e,t){if(e.interval=="hour"){this.db.all("SELECT Business,strftime('%Y-%m-%d %H:00:00', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)*8/sum(interval) as throught FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY Business,timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}else if(e.interval=="day"){this.db.all("SELECT Business,strftime('%Y-%m-%d', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)*8/sum(interval) as throught FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY Business,timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}};n.prototype.queryAllFlow=function(e,t){if(e.interval=="hour"){this.db.all("SELECT strftime('%Y-%m-%d %H:00:00', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)/sum(interval) as throught FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}else if(e.interval=="day"){this.db.all("SELECT strftime('%Y-%m-%d', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)/sum(interval) as throught FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}};n.prototype.queryAllBusinessAndTypeFlow=function(e,t){if(e.type==undefined){if(e.interval=="hour"){this.db.all("SELECT DstIp, Business,strftime('%Y-%m-%d %H:00:00', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)*8/sum(interval) as throught FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY DstIp,Business,timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}else if(e.interval=="day"){this.db.all("SELECT DstIp,Business,strftime('%Y-%m-%d', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)*8/sum(interval) as throught FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY DstIp,Business,timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}return}if(e.interval=="hour"){this.db.all("SELECT DstIp, Business,strftime('%Y-%m-%d %H:00:00', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)*8/sum(interval) as throught FROM device_business_table  WHERE Business = ? AND (time BETWEEN ? AND ?) GROUP BY DstIp,Business,timeIntervals order by timeIntervals ",[e.type,e.startTime,e.endTime],function(e,s){t(e,s)})}else if(e.interval=="day"){this.db.all("SELECT DstIp,Business,strftime('%Y-%m-%d', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)*8/sum(interval) as throught FROM device_business_table  WHERE  Business = ? AND (time BETWEEN ? AND ?) GROUP BY DstIp,Business,timeIntervals order by timeIntervals ",[e.type,e.startTime,e.endTime],function(e,s){t(e,s)})}};n.prototype.queryAllBusinessFlowBwRate=function(e,t){if(e.interval=="hour"){this.db.all("SELECT Business,strftime('%Y-%m-%d %H:00:00', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)/sum(interval) as throught，(sum(bytes)/sum(interval))*8/(max(bandwidth)) as bwrate FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY Business,timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}else if(e.interval=="day"){this.db.all("SELECT Business,strftime('%Y-%m-%d', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)/sum(interval) as throught，(sum(bytes)/sum(interval))*8/(max(bandwidth)) as bwrate FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY Business,timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}};n.prototype.queryAllFlowBwRate=function(e,t){if(e.interval=="hour"){this.db.all("SELECT strftime('%Y-%m-%d %H:00:00', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)/sum(interval) as throught，(sum(bytes)/sum(interval))*8/(max(bandwidth)) as bwrate FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}else if(e.interval=="day"){this.db.all("SELECT strftime('%Y-%m-%d', time) as timeIntervals,sum(bytes) as bytes,sum(interval) as interval,sum(bytes)/sum(interval) as throught，(sum(bytes)/sum(interval))*8/(max(bandwidth)) as bwrate FROM device_business_table  WHERE  (time BETWEEN ? AND ?) GROUP BY timeIntervals order by timeIntervals ",[e.startTime,e.endTime],function(e,s){t(e,s)})}};module.exports=n})();