(function(){var e=1;var t=0;var i=0;"use strict";var n=require("util");var a=require("events");var u=require("./jsUtil");var r=require("./Logger");var o=r.getLogger("verification.js");var s=1e3;function l(){a.EventEmitter.call(this);if(false===this instanceof l){return new l}}n.inherits(l,a.EventEmitter);l.prototype.setUpSystem=function(e){var t=this;t.db=e;t.db.serialize();var i="CREATE TABLE IF NOT EXISTS verification(dev_name VARCHAR(32), dev_sn VARCHAR(32), time DATETIME, realtime DATETIME, success INTEGER, total_auth INTEGER, off_auth INTEGER, off_abnor INTEGER, auth_1 INTEGER, auth_3 INTEGER, auth_oth INTEGER, agg_num INTEGER, auth_online_user INTEGER, auth_type VARCHAR(32));";this.db.run(i);i="CREATE TABLE IF NOT EXISTS verificationOnlineUser(dev_name VARCHAR(32), dev_sn VARCHAR(32), time DATETIME, realtime DATETIME, online_user INTEGER);";this.db.run(i);var n=require("./dbMgr");t.dbMgr=new n(t.db,s)};l.prototype.insertToOnlineUser=function(t){var i=this;var n="INSERT INTO verificationOnlineUser(dev_name, dev_sn, time, realtime, online_user)"+" VALUES (?, ?, ?, ?, ?);";i.dbMgr.run(n,[t.dev_name,t.dev_sn,t.time,t.realtime,t.online_user],function(t){if(e&&t){o.debug("insert");o.debug(t)}})};l.prototype.insert=function(t){var i=this;var n="INSERT INTO verification(dev_name, dev_sn, time, realtime, success, total_auth, off_auth, off_abnor, auth_1, auth_3, auth_oth, agg_num, auth_online_user, auth_type) "+"VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?);";i.dbMgr.run(n,[t.dev_name,t.dev_sn,t.time,t.realtime,t.success,t.total_auth,t.off_auth,t.off_abnor,t.auth_1,t.auth_3,t.auth_oth,t.agg_num,t.auth_online_user,t.auth_type],function(t){if(e&&t){o.debug("insert");o.debug(t)}})};l.prototype.close=function(){var e=this;if(e.dbMgr==undefined||e.db==undefined){return false}e.dbMgr.flush();e.db.close();return true};l.prototype.queryHisMaxAuthNumOneDay=function(i){var n=this;var a=" SELECT MAX( sum_total_auth ) AS max_sum_total_auth FROM"+" ( SELECT strftime( '%Y-%m-%d', v.time ) AS dayVal,SUM( total_auth ) AS sum_total_auth FROM verification AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' GROUP BY strftime( '%Y-%m-%d', v.time ));";if(t){console.log(a)}n.db.all(a,function(t,n){if(e&&t){o.debug("[Error queryHisMaxAuthNumOneDay]");o.debug(t)}i(t,n)})};l.prototype.queryTotalAuthNum=function(i){var n=this;var a=" SELECT SUM( total_auth ) AS sum_total_auth"+" FROM verification AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中';";if(t){console.log(a)}n.db.all(a,function(t,n){if(e&&t){o.debug("[Error queryTotalAuthNum]");o.debug(t)}i(t,n)})};l.prototype.deleteDataByDevName=function(t,i){var n=this;n.db.run("DELETE FROM verification where dev_name = ?;",[t],function(a){if(a){if(e){o.debug("[Error deleteDataByDevName]");o.debug(a)}return i(a)}n.db.run("DELETE FROM verificationOnlineUser where dev_name = ?;",[t],function(e){i(e)})})};l.prototype.queryStatisticalInfo=function(e,t){function i(e,t,i,n){if(e){n[i]=0}else{n[i]=t[0][i]==null?0:t[0][i]}}var n=this;var a={};n.queryTotalAuthNum(function(u,r){i(u,r,"sum_total_auth",a);n.queryHisMaxAuthNumOneDay(function(u,r){i(u,r,"max_sum_total_auth",a);n.queryHisMaxOnlineUserNum(function(u,r){i(u,r,"his_max_online_user",a);n.queryOnlineUserNum(e,function(e,n){i(e,n,"sum_online_user",a);t(null,a)})})})})};l.prototype.queryHisMaxOnlineUserNum=function(t){var i=this;var n=" SELECT MAX(sum_online_user) AS his_max_online_user"+" FROM ( SELECT SUM( auth_online_user ) AS sum_online_user FROM verification AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' GROUP BY v.time );";i.db.all(n,function(i,n){if(e&&i){o.debug("[Error queryHisMaxOnlineUserNum]");o.debug(i)}t(i,n)})};l.prototype.queryOnlineUserNum=function(t,i){var n=this;var a=" SELECT SUM( auth_online_user ) AS sum_online_user"+" FROM verification AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time = ?;";n.db.all(a,[t],function(t,n){if(e&&t){o.debug("[Error queryOnlineUserNum]");o.debug(t)}i(t,n)})};l.prototype.queryOnlineNumByTime=function(t,i){var n=this;if(t.interval=="hour"){n.db.all("SELECT strftime('%Y-%m-%d %H:00:00', timeVal) AS timeVal , MAX(sum_online_user) AS sum_online_user FROM"+" (SELECT v.time AS timeVal, SUM( v.online_user ) AS sum_online_user"+" FROM verificationOnlineUser AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time BETWEEN ? AND ? GROUP BY v.time ) GROUP BY strftime('%Y-%m-%d', timeVal);",[t.start_time,t.end_time],function(a,u){if(e&&a){o.debug("[Error queryOnlineNumByTime]");o.debug(a)}if(a){return i(a)}n.queryAuthOnlineNumByTime(t,u,i)})}else if(t.interval=="day"){n.db.all("SELECT strftime('%Y-%m-%d', timeVal) AS timeVal , MAX(sum_online_user) AS sum_online_user FROM"+" (SELECT v.time AS timeVal, SUM( v.online_user ) AS sum_online_user"+" FROM verificationOnlineUser AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time BETWEEN ? AND ? GROUP BY v.time ) GROUP BY strftime('%Y-%m-%d', timeVal);",[t.start_time,t.end_time],function(a,u){if(e&&a){o.debug("[Error queryOnlineNumByTime]");o.debug(a)}if(a){return i(a)}n.queryAuthOnlineNumByTime(t,u,i)})}};l.prototype.queryAuthOnlineNumByTime=function(t,i,n){var a=this;if(t.interval=="hour"){a.db.all(" SELECT strftime('%Y-%m-%d %H:00:00', timeVal) AS timeVal, MAX(sum_auth_online_user) AS sum_auth_online_user "+" FROM (SELECT time AS timeVal, SUM( auth_online_user ) AS sum_auth_online_user"+" FROM verification AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time BETWEEN ? AND ? GROUP BY time) GROUP BY strftime('%Y-%m-%d %H:00:00', timeVal);",[t.start_time,t.end_time],function(t,a){if(e&&t){o.debug("[Error queryAuthOnlineNumByTime]");o.debug(t)}if(t){return n(t)}_(a,i);n(t,i)})}else if(t.interval=="day"){a.db.all(" SELECT strftime('%Y-%m-%d', timeVal) AS timeVal, MAX(sum_auth_online_user) AS sum_auth_online_user "+" FROM (SELECT time AS timeVal, SUM( auth_online_user ) AS sum_auth_online_user"+" FROM verification AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time BETWEEN ? AND ? GROUP BY time) GROUP BY strftime('%Y-%m-%d', timeVal);",[t.start_time,t.end_time],function(t,a){if(e&&t){o.debug("[Error queryAuthOnlineNumByTime]");o.debug(t)}if(t){return n(t)}_(a,i);n(t,i)})}};l.prototype.queryMeasureDataByTime=function(t,i){var n=this;if(t.interval=="hour"){n.db.all(" SELECT strftime('%Y-%m-%d %H:00:00', v.time) AS timeVal,"+" SUM(v.success) AS auth_success_count,   SUM(v.total_auth) AS auth_total,"+" SUM(v.off_auth) AS offline_by_auth,     SUM(v.off_abnor) AS offline_total,"+" SUM(v.auth_1) AS auth_range_1000,       SUM(v.auth_3) AS auth_range_3000,"+" SUM(v.auth_oth) AS auth_range_other,    SUM(v.agg_num) AS aggregate_online_number"+" FROM verification AS v left join device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time between ? and ? GROUP BY strftime('%Y-%m-%d %H:00:00', v.time)",[t.start_time,t.end_time],function(t,n){if(e&&t){o.debug("[Error queryMeasureDataByTime]");o.debug(t)}i(t,n)})}else if(t.interval=="day"){n.db.all(" SELECT strftime('%Y-%m-%d', v.time) AS timeVal,"+" SUM(v.success) AS auth_success_count,   SUM(v.total_auth) AS auth_total,"+" SUM(v.off_auth) AS offline_by_auth,     SUM(v.off_abnor) AS offline_total,"+" SUM(v.auth_1) AS auth_range_1000,       SUM(v.auth_3) AS auth_range_3000,"+" SUM(v.auth_oth) AS auth_range_other,    SUM(v.agg_num) AS aggregate_online_number"+" FROM verification AS v left join device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time between ? and ? GROUP BY strftime('%Y-%m-%d', v.time)",[t.start_time,t.end_time],function(t,n){if(e&&t){o.debug("[Error queryMeasureDataByTime]");o.debug(t)}i(t,n)})}};l.prototype.getStatSummary=function(t,i){var n=this;var a="SELECT MAX( sum_auth_online_user ) AS max_auth_online_user, SUM(sum_total_auth) AS sum_total_auth"+" FROM ( SELECT SUM( auth_online_user ) AS sum_auth_online_user, SUM( total_auth ) AS sum_total_auth"+" FROM verification AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time BETWEEN ? AND ? GROUP BY v.time , v.auth_type);";n.db.all(a,[t.start_time,t.end_time],function(a,u){if(e&&a){o.debug("[Error getStatSummary]");o.debug(a)}if(a){return i(a,u)}n.getDayMaxOnlineUser(t,u,i)})};l.prototype.getDayMaxOnlineUser=function(t,i,n){var a=this;var u="SELECT MAX( sum_online_user ) AS max_online_user"+" FROM ( SELECT SUM( online_user ) AS sum_online_user"+" FROM verificationOnlineUser AS v LEFT JOIN device_link AS link ON v.dev_name = link.deviceName AND v.dev_sn = link.seriaNo"+" WHERE link.status = '管理中' AND v.time BETWEEN ? AND ? GROUP BY v.time );";a.db.all(u,[t.start_time,t.end_time],function(t,a){if(e&&t){o.debug("[Error getDayMaxOnlineUser]");o.debug(t)}if(t){return n(t)}i[0].max_online_user=a[0].max_online_user;n(t,i)})};function _(e,t){for(var i=0;i<t.length;++i){t[i]["sum_auth_online_user"]=0}var n=t.length;for(var a=0;a<e.length;++a){for(var i=0;i<n;++i){if(e[a]["timeVal"]==t[i]["timeVal"]){t[i]["sum_auth_online_user"]=e[a]["sum_auth_online_user"];break}if(i+1==n){e[a]["sum_online_user"]=0;t.push(e[a])}}}}module.exports=l;if(i){var m=u.createDataBase("/verficationTest.db");var v=new l;v.setUpSystem(m);console.log("insert");v.insert({dev_name:"loma",dev_sn:"xxxxx",time:"2015-02-10 12:02:10",realtime:"2015-02-10 12:02:12",success:10,total_auth:100,off_auth:10,off_abnor:20,auth_1:30,auth_3:30,auth_oth:40,agg_num:100,auth_online_user:100,online_user:100});v.queryMeasureDataByTime({interval:"day",start_time:"2011-01-01 11:11:11",end_time:"2016-01-01 11:11:11"},function(e,t){console.log(e);console.log(t)});v.queryOnlineNumByTime({interval:"day",start_time:"2011-01-01 11:11:11",end_time:"2016-01-01 11:11:11"},function(e,t){console.log(e);console.log(t)});v.queryStatisticalInfo("2011-01-01 11:11:11",function(e,t){console.log(e);console.log(t)});v.getStatSummary({start_time:"2011-01-01 11:11:11",end_time:"2016-01-01 11:11:11"},function(e,t){console.log(e);console.log(t)})}})();